#
# spec file for package python-Flask-SocketIO
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-Flask-SocketIO
Version:        5.5.1
Release:        1.1
Summary:        SocketIO integration for Flask applications
License:        MIT
URL:            https://github.com/miguelgrinberg/Flask-SocketIO/
Source:         https://files.pythonhosted.org/packages/source/f/flask-socketio/flask_socketio-%{version}.tar.gz
BuildRequires:  %{python_module Flask >= 0.9}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module python-socketio >= 5.12.0}
BuildRequires:  %{python_module redis}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
Requires:       python-Flask >= 0.9
Requires:       python-python-socketio >= 5.12.0
BuildArch:      noarch
%python_subpackages

%description
Socket.IO integration for Flask applications.

%prep
%autosetup -n flask_socketio-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v test_socketio.py

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/flask_socketio
%{python_sitelib}/Flask_SocketIO-%{version}.dist-info

%changelog
* Sun Mar 23 2025 Axel Braun <axel.braun@gmx.de>
- version 5.5.1
  * no changelog provided
* Fri Oct  4 2024 Axel Braun <axel.braun@gmx.de>
- version 5.4.1
  * source tarball renamed
  * Removed a debugging statement
  * Support catch-all events with socketio.on('*') #2095
  * Prevent crash when client sends empty event
  * Handle events with catch-all namespace #2061
  * Add unit test for background tasks
  * Drop Python 3.7, add Python 3.12, upgrade to pypy 3.10
* Mon Feb 12 2024 Steve Kowalik <steven.kowalik@suse.com>
- Add missing BuildRequires on setuptools.
* Mon Dec 18 2023 Dirk Müller <dmueller@suse.com>
- update to 5.3.6:
  * Fixes in the test client to support recent changes in Socket.IO
    dependencies
* Fri Dec  1 2023 Antonio Larrosa <alarrosa@suse.com>
- Add %%{?sle15_python_module_pythons}
* Thu Aug 10 2023 Arun Persaud <arun@gmx.de>
- update to version 5.3.5:
  * Prevent allow_unsafe_werkzeug option from being passed to web
    servers #2001 (commit)
* Wed Jun 21 2023 Matej Cepl <mcepl@suse.com>
- Clean up SPEC file, make rpmlint happy.
* Wed Jun 21 2023 Axel Braun <axel.braun@gmx.de>
- update to version 5.3.4
  * For a full changelog see https://github.com/miguelgrinberg/Flask-SocketIO/blob/main/CHANGES.md
* Sat Oct 23 2021 Axel Braun <axel.braun@gmx.de>
- Update to version 5.1.1
  * Only use SSL socket if at least one SSL kwarg is not None #1639 (commit) (thanks JT Raber!)
  * Remove unused SSL arguments from eventlet server options #1639 (commit)
  * Remove executable permissions from files that lack shebang lines #1621 (commit) (thanks Ben Beasley!)
  * Improved project structure (commit)
    Release 5.1.0 - 2021-05-28
  * Add reloader_options argument to socketio.run#1556 (commit)
  * Pass auth data from client in connect event handler #1555 (commit)
  * Do not show simple-websocket install prompt if it is already installed (commit)
  * Fix namespace bug in example #1543 (commit)
  * Added index to documentation #724 (commit)
  * Fixed typo in documentation #1551 (commit) (thanks Mayank Anuragi!)
* Tue May 25 2021 Ben Greiner <code@bnavigator.de>
- Update to 5.0.3
  * Document the use of simple-websocket with the development web server (commit)
  * Show transport in example apps (commit)
  * Added Open Collective funding option (commit)
  * Silence deprecation warning from Werkzeug 2.x #1549 (commit)
  * Updated server options in documentation (commit)
  * Updated socketio javascript client versions in documentation (commit)
  * Fix typo in documentation #1524 (commit) (thanks lennertcl!)
  * Change room documentation from room= to to= #1519 (commit) (thanks David McInnis!)
  * Fixed a type in the Kafka URL in the documentation #1476 (commit) (thanks VVakko!)
  * Fixed typos in documentation #1447 (commit)
  * Add test_socketio.py from Github repo for testing, because it
    is not included into the PyPI sdist anymore.
* Wed May  5 2021 Axel Braun <axel.braun@gmx.de>
- conversion to singlespec
  update to version 5.0.1
* Thu Feb  1 2018 gsmith@suse.com
- Update references to python-socketio
* Wed Jan 31 2018 gsmith@suse.com
- Initial version
